import webbrowser
from functools import partial
from http.server import HTTPServer, SimpleHTTPRequestHandler


def run_server(output_dir):
    """
    Run a local server and open a browser to view the website.

    Parameters
    ----------
    output_dir : str
        Output directory containing HTML files generated by genja.
    """

    server_address = ('localhost', 9000)
    handler = partial(SimpleHTTPRequestHandler, directory=output_dir)
    httpd = HTTPServer(server_address, handler)

    print('\nServing at http://localhost:9000')
    webbrowser.open('http://localhost:9000')

    httpd.serve_forever()
